Page Index Toggle Pages: 1 Send TopicPrint
Normal Topic Latest 2.12 lost 10.13 compatibility? (Read 1427 times)
cyberzeus
New Member
Offline
Posts: 4
Joined: Jun 13th, 2015
Re: Latest 2.12 lost 10.13 compatibility?
Reply #4 - Dec 1st, 2021 at 10:51pm
Print Post  
Great - thanks Jerry.  I did look before posting but clearly missed it in the articles list.  Thanks again...
  
Back to top
 
IP Logged
 
Jerry Krinock
Admin
Offline
Posts: 1579
Location: San Jose, California, USA
Joined: Sep 29th, 2008
Re: Latest 2.12 lost 10.13 compatibility?
Reply #3 - Dec 1st, 2021 at 7:28am
Print Post  
Hello, cyberzeus.

Links to versions of our apps compatible with macOS 10.13 and earlier are at the bottom of this here support article.  ⬅︎ Click that hyperlink.
  

Jerry Krinock
Back to top
IP Logged
 
cyberzeus
New Member
Offline
Posts: 4
Joined: Jun 13th, 2015
Re: Latest 2.12 lost 10.13 compatibility?
Reply #2 - Dec 1st, 2021 at 4:40am
Print Post  
Hello Jerry - Is it possible to grab the latest BookMacster version for a given macOS version?  For example, I have hit the upper OS limit for my hardware but I did not download the last BookMacster version that is supported by that OS (2.11.x I believe).

Does Sheep Systems have a previous download section?
  
Back to top
 
IP Logged
 
Jerry Krinock
Admin
Offline
Posts: 1579
Location: San Jose, California, USA
Joined: Sep 29th, 2008
Re: Latest 2.12 lost 10.13 compatibility?
Reply #1 - Oct 5th, 2021 at 12:52pm
Print Post  
Hello, Hass.

We did not intentionally drop it, but there is a bug in Apple's latest developer tools (Xcode 13) which we used to build version 2.12 of our apps with, which causes the crash on launch.  And then we found more bugs which makes it difficult or maybe impossible to revert back to the previous developer tools on newer Macs.

Since the changes in 2.12 are mostly for compatibility with macOS 12, we've decided to try and wait until Apple fixes some of these bugs rather than spending days trying more workarounds that turn out not to work.  We've fixed our automatic update feed temporarily so that users on 10.10-10.13 will not be offered 2.12.  I've also now updated our website to indicate this so that people do not try to update manually.

So, sorry, revert back to version 2.8, 2.9, 2.10 or 2.11 of our app. whatever was working for you.
  

Jerry Krinock
Back to top
IP Logged
 
Hass
Junior Member
Offline
Posts: 7
Joined: Feb 2nd, 2019
Latest 2.12 lost 10.13 compatibility?
Oct 5th, 2021 at 11:57am
Print Post  
Hi
just tried updating to latest version, but on 13.13.6 it doesn't even launch at all.
Does SheepSystems dropped it or its just an issue?
  
Back to top
 
IP Logged
 
Page Index Toggle Pages: 1
Send TopicPrint